#!/usr/bin/env sh

TAG="$1"

if [ -z "$TAG" ]; then
    echo "Usage: $0 TAG"
    echo "Example: $0 1.0.1"

    echo "The latest 10 existing tags:"
    git tag --list \
    | grep '^[0-9]' \
    | sort --version-sort \
    | tail

    exit 1
fi

git tag -a "$TAG" -m "Release $TAG"
echo "Done! Run 'git push --tags' to push tag $TAG"
